# Class Status

- Defined in src/data/status-effect.ts:14

#####
Index

### Constructors

constructor

### Properties

cureTurn
effect
turnCount

### Methods

incrementTurn
isPostTurn

## Constructors

### constructor

- new Status(effect, turnCount?, cureTurn?): Status

- #### Parameters

  - effect: StatusEffect
  - turnCount: number = 0
  - `Optional` cureTurn: number

  #### Returns Status

  - Defined in src/data/status-effect.ts:19

## Properties

### cureTurn

cureTurn: number

- Defined in src/data/status-effect.ts:17

### effect

effect: StatusEffect

- Defined in src/data/status-effect.ts:15

### turnCount

turnCount: number

- Defined in src/data/status-effect.ts:16

## Methods

### incrementTurn

- incrementTurn(): void

- #### Returns void

  - Defined in src/data/status-effect.ts:25

### isPostTurn

- isPostTurn(): boolean

- #### Returns boolean

  - Defined in src/data/status-effect.ts:29